Bug 719573 - RFE: allow control of updating website navigation for installed/removed books
RFE: allow control of updating website navigation for installed/removed books
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 07:16 EDT by Jeff Fearn
Modified: 2011-07-25 20:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 20:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2011-07-07 07:16:01 EDT
Description of problem:
When many books are added or removed in a batch then updating the TOC for every book creates a lot of lag. Add a site parameter allowing this to be disabled so the user can control when the TOC is regenerated.

Version-Release number of selected component (if applicable):
2.5

How reproducible:
Always

Steps to Reproduce:
1. Build many book rpms
2. Install all new packages in one yum call

  
Actual results:
Much lag as the toc is continually regenerated

Expected results:
TOC gets regenerated once.

Additional info:
Comment 1 Jeff Fearn 2011-07-07 07:53:20 EDT
Added manual_toc_update config for web-sites. Sites that set this must run `publican update_site` to update the web-site navigation.

Added to trunk and branches/publican-2x

Committed revision 1816.
Comment 2 Ruediger Landmann 2011-07-21 19:14:10 EDT
Verified in build 2.5-2.fc15.t17:

* set "manual_toc_update: 1" in /etc/publican-website.cfg
* installed book and verified that book did not appear on site ToC
* ran publican update_site and verified that book now appeared in site ToC

Note You need to log in before you can comment on or make changes to this bug.